using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TourSK2.Models
{
    public partial class Hotel
    {
        UpSkakunovContext db = new UpSkakunovContext();
        /// <summary>
        /// Свойство для получения названия страны в которой находится отель
        /// </summary>
        public string CountryName
        {
            get
            {
                return db.Countries.Where(x => x.Code == CountryCode).Select(x => x.Name).FirstOrDefault();
            }
        }
        /// <summary>
        /// Свойство для получения количества туров, которые связаны с отелем
        /// </summary>
        public int AmountTours
        {
            get
            {
                List<HotelOfTour> HotelForAmount = db.HotelOfTours.ToList();
                HotelForAmount = HotelForAmount.Where(x => x.HotelId == Id).ToList();
                return HotelForAmount.Count;
            }
        }
        /// <summary>
        /// Свойство для замены чисел на звезды
        /// </summary>
        public string CountStars
        {
            get
            {
                if (CountOfStars == 1)
                {
                    return "Отель с 1 звездой";
                }
                else if (CountOfStars == 2)
                {
                    return "Отель с 2 звездами";
                }
                else if (CountOfStars == 3)
                {
                    return "Отель с 3 звездами";
                }
                else if (CountOfStars == 4)
                {
                    return "Отель с 4 звездами";
                }
                else if (CountOfStars == 5)
                {
                    return "Отель с 5 звездами";
                }
                else
                {
                    return "0";
                }
            }
        }
    }
}
